Summary: The PPP daemon and documentation for Linux 1.3.xx and greater.
Name: ppp
Version: 2.4.3
Release: 10tr
License: Distributable
Group: Trustix Official
URL:     http://www.samba.org/ppp
Source0: ftp://ftp.samba.org/pub/ppp/ppp-%{version}.tar.gz
Source1: ppp-2.4.1-pamd.conf
Source2: draft-ietf-pppext-mppe-05.txt
Source3: draft-ietf-pppext-mppe-keys-03.txt
Source4: rfc2433.txt
Source5: rfc2759.txt
Source6: ppp-2.4.3-perlreqexclude.sh

Patch0: ppp-2.4.2-make.patch
Patch1: ppp-2.3.6-sample.patch.bz2
Patch4: ppp-2.4.2-makeopt.patch
Patch5: ppp-options.patch.bz2
Patch7: ppp-2.4.1-pppdump-Makefile.patch.bz2
# Currently no stack protector available
Patch17: ppp-2.4.3-cflags.patch
Patch18: ppp-2.4.3-expect.patch
Patch19: ppp-2.4.3-pcap.patch

Buildroot: %{_tmppath}/%{name}-root
Requires: glibc >= 2.0.6, libpcap >= 0.8.1
BuildRequires: libsmbpw, libpcap >= 0.8.1, pam-devel

# Auto-generated perl.req which need to be excluded
%define __perl_requires %{SOURCE6}

%description
The ppp package contains the PPP (Point-to-Point Protocol) daemon
and documentation for PPP support.  The PPP protocol provides a
method for transmitting datagrams over serial point-to-point links.

The ppp package should be installed if your machine need to support
the PPP protocol.

%prep
%setup  -q
#%patch0 -p1
#%patch1 -p1
#%patch4 -p1
#%patch5 -p1
#%patch7 -p1
#%patch17 -p1
%patch18 -p1
%patch19 -p1

cp -a %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} .
find -type f -print0 | xargs -0 perl -pi -e 's|"-fno-stack-protector"|""|g'

%build
#RPM_OPT_FLAGS="{?no_stack_protector} $RPM_OPT_FLAGS"
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure
# remove the following line when rebuilding against kernel 2.4 for multilink
#perl -pi -e "s|-DHAVE_MULTILINK||" pppd/Makefile
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DDO_BSD_COMPRESS=0"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/{%{_sbindir},%{_mandir}/man8,%{_sysconfdir}/{ppp/peers,pam.d}}
make install install-etcppp BINDIR=$RPM_BUILD_ROOT/%{_sbindir} \
    MANDIR=$RPM_BUILD_ROOT/%{_mandir}/man8 \
    ETCDIR=$RPM_BUILD_ROOT/%{_sysconfdir}/ppp \
    INCDIR=$RPM_BUILD_ROOT/%{_includedir} \
    LIBDIR=$RPM_BUILD_ROOT/%{_libdir}/pppd/%{version}

chmod go+r scripts/*
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/ppp
touch $RPM_BUILD_ROOT/%{_sysconfdir}/ppp/resolv.conf
chmod 644 $RPM_BUILD_ROOT/%{_sysconfdir}/ppp/resolv.conf

mkdir -p $RPM_BUILD_ROOT/dev
mknod $RPM_BUILD_ROOT/dev/ppp c 108 0

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
/usr/sbin/pppoe-discovery
%defattr(-,root,root,0755)
%doc README README.linux README.MSCHAP80 FAQ PLUGINS README.MPPE
%doc draft-ietf-pppext-mppe-05.txt draft-ietf-pppext-mppe-keys-03.txt
%doc rfc2759.txt rfc2433.txt scripts
%attr(0644,root,root)   %{_includedir}/pppd/*
%attr(0755,root,root)   %{_libdir}/pppd/%{version}/*
%attr(0600,root,root)	/dev/ppp
%attr(0755,root,root)	%{_sbindir}/chat
%attr(4755,root,root)	%{_sbindir}/pppd
%attr(0755,root,root)	%{_sbindir}/pppdump
%attr(0755,root,daemon)	%{_sbindir}/pppstats
%attr(0644,root,root)	%{_mandir}/man*/*
%attr(0755,root,root)	%dir %{_sysconfdir}/ppp
%attr(0755,root,daemon)	%config(noreplace) %{_sysconfdir}/ppp/peers
%attr(0600,root,daemon)	%config(noreplace) %{_sysconfdir}/ppp/*-secrets
%attr(0644,root,daemon)	%config(noreplace) %{_sysconfdir}/ppp/options
%attr(0644,root,root)	%config(noreplace) %{_sysconfdir}/pam.d/ppp
%attr(0644,root,root)	%config(noreplace) %{_sysconfdir}/ppp/resolv.conf

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Wed Aug 03 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.4.3-9tr
- Fix pcap includes, Ref. Bug #1147.

* Mon Jun 06 2005 Ajith Thampi <ajith at comodo dot com> 2.4.3-8tr
- Rebuilt on perl-5.8.7
			
* Tue May 03 2005 Ajith Thampi <ajith at comodo dot com> 2.4.3-6tr
- added plugin support, Bug #562
- Commented the cflags patch to avoid stack protector compilation

* Thu Mar 31 2005 Ajith Thampi <ajith at comodo dot com> 2.4.3-5tr
- Rebuilt with perl.req fix

* Fri Mar 18 2005 Hasher Jamaludeen <hasher at trustix dot org> 2.4.3-3tr
- Rebuilt, added an unpackaged file.

* Thu Nov 18 2004 Erlend Midttun <erlendbm at trustix dot org> 2.4.3-2tr
- Fix path to expect.

* Thu Nov 18 2004 Erlend Midttun <erlendbm at trustix dot org> 2.4.3-1tr
- New upstream.

* Thu Sep  9 2004 Erlend Midttun <erlendbm at trustix dot org> 2.4.2-1tr
- New upstream.

* Thu Apr  1 2004 Erlend Midttun <erlendbm at trustix dot org> 2.4.1-12tr
- Added %%{_sysconfdir}/ppp/resolv.conf

* Sat Feb 21 2004 Gerald Dachs <gda at trustix dot org> 2.4.1-9tr
- activated filter
- added build requirements libpcap, pam-devel

* Mon Dec  1 2003 Erlend Midttun <erlendbm at trustix dot org> 2.4.1-8tr
- Big rebuild

* Fri Aug 22 2003 Chr. Toldnes <christht at trustix dot com> 2.4.1-7tr
- Rebuild and retag
- Fixed License

* Wed Jul 23 2003 Goetz Bock <bock at trustix dot org> 2.4.1-6bg
- cleaned up spec file
- pppd should not be 5755, at most 4755
- more docs
- we have a 2.4.x kernel with multilink

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.1-5tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.1-4em
- Rebuilt against glibc 2.3.2.

* Sat Sep 28 2002 Gerald Dachs <gda at trustix dot org> 2.4.1-3gd
- fixed some complier warnings (patch9)
- added MPPE support (patch10-patch12)
- added authentication to smbpasswd (patch13-patch14)

* Sat Sep 14 2002 Gerald Dachs <gda at trustix dot org> 2.4.1-2gd
- fixed /etc/pam.d conf file

* Mon Mar 18 2002 Christian H. Toldnes <christht at trustix dot com>
- Update to 2.4.1
- Patch to fix zlib security error.

* Wed Jul  4 2001 Oystein Viggen <oysteivi at trustix dot com>
- Sysconfdir is /etc

* Fri Feb 23 2001 Oystein Viggen <oysteivi at trustix dot com>
- Trustixizification.
- /dev/ppp is not in our dev package.

* Tue Sep 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.4.0-3mdk
- Pamstackizification.
- check pam_open_session result code (rh).

* Thu Aug 31 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4.0-2mdk
- add noauth, noipdefault and userpeerdns to /etc/ppp/options (pablo).

* Sun Aug 06 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4.0-1mdk
- new and shiny version
- rebuild for new url

* Wed Jul 26 2000 Francis Galiegue <fg@mandrakesoft.com> 2.3.11-9mdk

- /dev/ppp is now in dev package
- some %files list cleanup

* Fri Jul 21 2000 Francis Galiegue <fg@mandrakesoft.com> 2.3.11-8mdk

- BM

* Wed May 03 2000 Jerome Martin <jerome@mandrakesoft.com> 2.3.11-7mdk
- Changed pppd perms again, to add the save to disk swap attribute in
  order to allow some sort of modem locking.
  
* Wed May 03 2000 Jerome Martin <jerome@mandrakesoft.com> 2.3.11-6mdk
- Added suid root permission to pppd
- rebuild for new environment

* Sat Apr 08 2000 John Buswell <johnb@mandrakesoft.com> 2.3.11-5mdk
- Fixed perms on /etc/ppp/peers

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> 2.3.11-4mdk
- Fixed groups
- spec-helper

* Sun Feb 27 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.3.11-3mdk
- added RedHat reaper (ppp-2.3.11-reap) patch and synched with
  RedHat version 2.3.11-1.
- added pppdump and pppdump.8 man pages.
- added ppp-2.3.11-makeopt patch.

* Sun Feb 06 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 2.3.11-1mdk
- 2.3.11

* Mon Nov 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- remove %post.

* Fri Nov 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- fix for double-dial problem(r).
- fix for requiring a controlling terminal problem(r).

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Create /etc/ppp/peers.

* Thu Nov 04 1999 John Buswell <johnb@mandrakesoft.com>
- 2.3.10
- Build Release

* Mon Sep 20 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Fix %%post ?? 

* Mon Sep 20 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Fix %%post

* Mon Sep 20 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- -DCHAPMS
- -DUSE_PAM

* Tue Sep  7 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Add /dev/ppp
- Add entries in /etc/conf.modules if they aren't there yet

* Wed Aug 25 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 2.3.9 (required for kernel 2.3.14+)

* Thu Jul 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Removing unused stuff.
- Upgrade patch.
- 2.3.8.

* Fri Jul 10 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Define the .pid to /var/run/
- Glare @Chmouel

* Fri Jul 09 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Define the .pid to /var/run not to /etc/ (reported by Nikodemus Karlsson
  <nickek@algonet.se>).

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- force pppd use the glibc's logwtmp instead of implementing its own

* Wed Apr 01 1999 Preston Brown <pbrown@redhat.com>
- version 2.3.7 bugfix release

* Tue Mar 23 1999 Cristian Gafton <gafton@redhat.com>
- version 2.3.6

* Mon Mar 22 1999 Michael Johnson <johnsonm@redhat.com>
- auth patch

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Jan 07 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Jun  5 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.3.5.

* Tue May 19 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Fri May  8 1998 Jakub Jelinek <jj@ultra.linux.cz>
- make it run with kernels 2.1.100 and above.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Mar 18 1998 Cristian Gafton <gafton@redhat.com>
- requires glibc 2.0.6 or later

* Wed Mar 18 1998 Michael K. Johnson <johnsonm@redhat.com>
- updated PAM patch to not turn off wtmp/utmp/syslog logging.

* Wed Jan  7 1998 Cristian Gafton <gafton@redhat.com>
- added the /etc/pam.d config file
- updated PAM patch to include session support

* Tue Jan  6 1998 Cristian Gafton <gafton@redhat.com>
- updated to ppp-2.3.3, build against glibc-2.0.6 - previous patches not
  required any more.
- added buildroot
- fixed the PAM support, which was really, completely broken and against any
  standards (session support is still not here... :-( )
- we build against running kernel and pray that it will work
- added a samples patch; updated glibc patch

* Thu Dec 18 1997 Erik Troan <ewt@redhat.com>
- added a patch to use our own route.h, rather then glibc's (which has 
  alignment problems on Alpha's) -- I only applied this patch on the Alpha,
  though it should be safe everywhere

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- turned off the execute bit for scripts in /usr/doc

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Integrated new patch from David Mosberger
- Improved description
